"use strict";
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/index.ts
var src_exports = {};
__export(src_exports, {
  s: () => s
});
module.exports = __toCommonJS(src_exports);
var import_fs = require("fs");
var import_path = require("path");
var import_client_ssm = require("@aws-sdk/client-ssm");
var import_credential_provider_ini = require("@aws-sdk/credential-provider-ini");
var Config = class {
  prefix = "";
  profile = "";
  region = "";
  constructor(config) {
    const lines = config.split("\n");
    for (let index = 0; index < lines.length; index++) {
      const element = lines[index];
      const configuration = element.split(": ");
      const prefix = configuration[0];
      if (prefix === "prefix" || prefix === "profile" || prefix === "region") {
        this[prefix] = configuration[1];
      }
    }
    if (this.prefix === "" || this.prefix === "" || this.region === "")
      throw new Error("Unable to parse config");
  }
};
function s(callback, options) {
  const runningDirectory = process.cwd();
  const configPath = (0, import_path.join)(runningDirectory, ".s.yml");
  const config = new Config((0, import_fs.readFileSync)(configPath, "utf-8"));
  const environment = options && options.env ? options.env : "dev";
  const parameterPrefix = `/${config.prefix}/${environment}/`;
  const ssmClient = new import_client_ssm.SSMClient({
    region: config.region,
    credentials: (0, import_credential_provider_ini.fromIni)({ profile: config.profile })
  });
  ssmClient.send(
    new import_client_ssm.GetParametersByPathCommand({
      Path: parameterPrefix,
      WithDecryption: true
    })
  ).then((data) => {
    if (data && data.Parameters) {
      for (let index = 0; index < data.Parameters.length; index++) {
        const param = data.Parameters[index];
        process.env[param.Name.replace(parameterPrefix, "")] = param.Value;
      }
      console.log("s: Environment Variables set!");
    }
    callback();
  });
}
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  s
});
